List Runs

GET /workspaces/{slug}/schemas/{schemaKey}/runs

Returns runs scoped by schema and environment.

Path Parameters

slug string required
schemaKey string required

Query Parameters

env "production" | "staging" | "development"

Environment slug. Defaults to production.

page integer
pageSize integer
curl -X GET \
-H "x-api-key: dsk_your_api_key" \
https://api.tracore.io/workspaces/my-workspace/schemas/invoice/runs?env=production
import { TracoreClient } from '@tracore/sdk';

const client = new TracoreClient({ apiKey: 'dsk_your_api_key' });

const { data, total } = await client.runs.list('my-workspace', 'invoice');
console.log(data);
200 Response
{
  "total": 1,
  "page": 1,
  "pageSize": 20,
  "data": [
    {
      "id": "ws_abc123",
      "environmentName": "example-value",
      "documentName": "example-value",
      "schemaVersionNumber": 1,
      "status": "pending",
      "provider": "mistral",
      "model": "example-value",
      "keySource": "system",
      "extractedData": {
        "key": "value"
      },
      "createdAt": "2024-03-15T10:30:00Z",
      "updatedAt": "2024-03-15T10:30:00Z"
    }
  ]
}